
QGIS Application - Bug report #2861

new symbology: (overall) transparency slider missing for categorized/graduated symbology

2010-07-02 02:28 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 12921

Description

tested with

http://www.igeo.pt/gdr/Downloads/ProdutosCLC/CLC06_PT.zip

it is also not very intuitive to have to go pick the transparency slider inside the "symbol" dialog. It would be better to have among the other

options in the symbology tab, as it happens for the single symbol case.

History

#1 - 2010-11-13 03:28 PM - Volker Fröhlich

Your sample data doesn't seem to be there any more.

I tried with different data and it works with Trunk.

Please give it a try!

#2 - 2010-11-14 01:21 AM - Giovanni Manghi

The server is down, but the data doesn't matter. Pick a polygon vector, with the new engine make a categorized symbology.

You DON'T have a slider to set the the overall transparency for all the categories at one time, you can JUST enter each category and set the transparency

one by one.

Some thing for graduated symbology.

#3 - 2010-12-12 06:00 AM - Giovanni Manghi

bottom line, you can just set transparency for single classes but not for all classes at one time (like in old symbology). If you consider that in new symbology

you cannot choose more that one class at one time (like in old symbology) than this turn to be a real problem, especially if you have more than a few

classes.

#4 - 2010-12-12 07:57 AM - Giovanni Manghi

see also #3277
#5 - 2011-03-29 01:49 PM - Sandro Santilli

subscribing to the issue, I'm missing the slider too

#6 - 2011-03-30 01:52 AM - Martin Dobias

It should be possible to set the transparency for the source symbol - the same transparency should be applied for each class when you (re)classify. Isn't

that sufficient?

The problem with a "global" transparency setting is that as of now various categories might have various transparency levels assigned. Global

transparency setting would then override that with new value for all symbols.

#7 - 2011-03-30 03:21 AM - Sandro Santilli

Oh yes, I see it now. And you have to hit "classify" again too, which changes the colors if youre using random color range.

About global transparency, can't you just concatenate transparencies ?

50% of transparency on the symbol * 50% of transparency globally would get to 75% transparency...

#8 - 2011-03-30 03:26 AM - Giovanni Manghi

About global transparency, can't you just concatenate transparencies ?

50% of transparency on the symbol * 50% of transparency globally would get to 75% transparency...

I think that this would be a good solution.

Martin, we also miss the possibility to select multiple symbology classes at the same time like in the old symbology (and then give the same symbology to

the selected classes). There is already a ticket open about this issue?

#9 - 2011-07-25 09:05 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Start date set to 2011-07-25

- Tracker changed from Feature request to 4

#10 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#11 - 2012-04-15 09:22 AM - Giovanni Manghi

- Tracker changed from 4 to Bug report

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#12 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#13 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

2024-03-20 2/3



#14 - 2013-05-16 06:40 AM - Giovanni Manghi

- Status changed from Open to Closed

- Status info deleted (1)

- Operating System deleted (All)

fixed in master
